#ifndef PECmdNo_First
#ifdef __GNUG__
//pragma once
#pragma interface
#endif
#define PECmdNo_First

#include "CmdNo.h"

//---- ids ----------------------------------------------------

const int //---- senders
	  cPeInspector      =   cIdFirstUser + 1,
	  cPeSourceBrowser  =   cIdFirstUser + 1, 
	  cPeHierBrowser    =   cIdFirstUser + 2,
	  cPeOStruBrowser   =   cIdFirstUser + 3,
	  cPeClassList      =   cIdFirstUser + 4,
	  cPeMethodBrowser  =   cIdFirstUser + 5,
	  cIdSendersLast    =   cPeMethodBrowser;

const int //---- inspector
	  cIdObjects      =   cIdSendersLast + 1,    
	  cIdClasses      =   cIdSendersLast + 2,
	  cIdReferences   =   cIdSendersLast + 3,
	  cIdShiftLeft    =   cIdSendersLast + 4,
	  cIdShiftRight   =   cIdSendersLast + 5,
	  cIdShiftAppl    =   cIdSendersLast + 6,
	  cIdShiftStart   =   cIdSendersLast + 7,
	  cIdShiftEnd     =   cIdSendersLast + 8,
	  cIdInspLast	  =   cIdShiftEnd;
	  
const int //---- class tree
	  cIdClassItem    =   cIdInspLast + 1;

const int //---- object structure browser
	  cIdObjItem      =   cIdInspLast + 2;

const int //---- ClassListView
	  cIdClassList    =   cIdInspLast   + 3;
	  
const int //---- Methodbrowser
	  cIdMethodBrowser=   cIdInspLast + 4,
	  cIdFilter       =   cIdInspLast + 5,
	  cIdVisibility   =   cIdInspLast + 6,   
          cIdClFilter     =   cIdInspLast + 7,
          cIdMBLast       =   cIdClFilter;
          
const int //---- EtPeManager
	   cIdNewInsp 	  =   cIdMBLast + 1,
	   cIdNewOBrowser =   cIdMBLast + 2,
	   cIdNewBrowser  =   cIdMBLast + 3,
	   cIdNewHier     =   cIdMBLast + 4;

//---- part codes (actions) ------------------------------------------------

const int //---- actions handled be EtPeManager
	  cPeNewInsp        =   cPartFirstUser + 0,
	  cPeShowInspector  =   cPartFirstUser + 1, 
	  cPeSpawnInsp      =   cPartFirstUser + 2,
	  cPeNewBrowser     =   cPartFirstUser + 3,
	  cPeShowBrowser    =   cPartFirstUser + 4,
	  cPeSpawnBrowser   =   cPartFirstUser + 5,
	  cPeNewOBrowser    =   cPartFirstUser + 6,
	  cPeShowOBrowser   =   cPartFirstUser + 7,  
	  cPeSpawnOBrowser  =   cPartFirstUser + 8,
	  cPeNewHier        =   cPartFirstUser + 9,  
	  cPeShowHierarchy  =   cPartFirstUser + 10,
	  cPeSpawnHier      =   cPartFirstUser + 11,
          cPeManagerLast    =   cPeSpawnHier;
          
const int //---- Actions handled by inspector
	  cPeLoadRef        =   cPeManagerLast + 1,
	  cPeLoadRefNew     =   cPeManagerLast + 2,
	  cPeInspLast       =   cPeLoadRefNew;
	  
const int //---- Actions handled by source browser
	  cPeCLChangedClass = 	cPeInspLast + 1,
	  cPeCLSelectClass  =   cPeInspLast + 2,
	  cPeChangedMethod  =   cPeInspLast + 3,  // changed selected method
	  cPeImplementors   =   cPeInspLast + 4,  // show implementors
	  cPeInherited      =   cPeInspLast + 5,  // show inherited
	  cPeOverrides      =   cPeInspLast + 6;  // show inherited
    
//---- commands ---------------------------------------------------------------

const int //---- structure browser
	  cUPDATE       =   cUSERCMD + cIdFirstUser + 1,
	  cCLEARPATH    =   cUPDATE  + 2,
	  cEVTHANDLER   =   cUPDATE  + 3,
	  cCONTAINER    =   cUPDATE  + 4,
	  cREFERENCES   =   cUPDATE  + 5,
	  cDEPENDENCIES =   cUPDATE  + 6,
	  cDOINSPECT    =   cUPDATE  + 7,
	  cSHOWLINES    =   cUPDATE  + 8,
	  cSHOWLABELS   =   cUPDATE  + 9,
	  cPOINTERS     =   cUPDATE  +10;
	  
	  //---- object view
const int cEDITDECL     =   cPOINTERS   +1,
	  cEDITIMPL     =   cPOINTERS   +2,
	  cABSTRVIEW    =   cPOINTERS   +3,
	  cOBJBROWSER   =   cPOINTERS   +4,
	  cEXIT         =   cPOINTERS   +5,
	  cOBJREFERENCES=   cPOINTERS   +6;

const int //---- class listview in inspector
	  cSHOWALL      =   cOBJREFERENCES+1,
	  cUPDATELIST   =   cOBJREFERENCES+2,
	  cEMPTYCLASSES =   cOBJREFERENCES+3;
	  
const int //---- method browser
	  cIMPLEMENTORS =   cEMPTYCLASSES + 2,
	  cOVERRIDES    =   cEMPTYCLASSES + 3,
	  cINHERITED    =   cEMPTYCLASSES + 4,
	  cMETHREFERENCES=  cEMPTYCLASSES + 5,
	  cFILTER       =   cEMPTYCLASSES + 6,
	  cREFORMATCODE =   cEMPTYCLASSES + 7,
	  cREMFILTER    =   cEMPTYCLASSES + 8;
	  
const int //---- hierarchy browser
	  cONLYABSTRACT=    cREMFILTER   +   1,
	  cALLCLASSES  =    cREMFILTER   +   2,
	  cONLYAPPL    =    cREMFILTER   +   3,
	  cCLEARREFS   =    cREMFILTER   +   4,
	  cDOCOLLAPSE  =    cREMFILTER   +   5,
	  cMEMBERS     =    cREMFILTER   +   7,
	  cCLIENTS     =    cREMFILTER   +   8,
	  cSOURCE      =    cREMFILTER   +   9,
	  cINSPSOME    =    cREMFILTER   +  10,
	  cPROMOTE     =    cREMFILTER   +  11,
	  cTREEVIEW    =    cREMFILTER   +  12,
	  cOUTLINEVIEW =    cREMFILTER   +  13;

#endif
